> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/rtb/de/publisher/exoclick-rtb/bid-request.md).

# ExoClick RTB Gebotsanfrage

Die ExoClick-RTB-Bid-Anfrage wird bei POST mit JSON und bei GET mit einer URL durchgeführt. XML-Anfragen sind für POST nicht zulässig.

## Gebotsanfrage-Header

* **ExoClick-RTB-Version-HTTP-Header**: `x-exadsrtb-version: 1.0`
* **Keep-Alive-HTTP-Header**: `Connection: Keep-Alive`
* **JSON-Inhalt**: `Content-Type: application/json`
* **Header für Datenkodierung**: `Accept-Encoding`

### Gebotsanfrage-Objekt

| Attribut          | Erforderlich?               | Beschreibung                                                                                                                                                                             |
| ----------------- | --------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`              | Ja                          | Eindeutige Gebotsanfrage-ID (String)                                                                                                                                                     |
| `ip`              | Ja                          | IP-Adresse des Benutzers (String)                                                                                                                                                        |
| `language`        | Ja                          | Browsersprache gemäß ISO-639-1-Alpha-2 (String)                                                                                                                                          |
| `remove_addr`     | Nein                        | Haupt-IP-Adresse des Nutzers (String)                                                                                                                                                    |
| `x_forwarded_for` | Nein                        | X-FORWARDED-FOR-IP-Adresse des Nutzers oder leer, falls nicht gesetzt (String)                                                                                                           |
| `type`            | Ja                          | Anfragetyp. Kann „banner“, „popunder“, "direct\_link", "email\_click"\*, „push\_notification“ oder "in\_page\_push\_notification" sein (String)                                          |
| `ua`              | Ja                          | Browser-User-Agent (String)                                                                                                                                                              |
| `url`             | Ja                          | Vollständige URL der Seite, auf der die Anzeige angezeigt wird (String)                                                                                                                  |
| `user_id`         | Ja                          | Eindeutige Benutzer-ID (String)                                                                                                                                                          |
| `sub`             | Nein                        | Dies sollte eine Zahl mit sechs bis zehn Ziffern sein: Verwenden Sie keine Nullen am Anfang von Sub-IDs.                                                                                 |
| `export`          | Ja                          | Antworttyp. Kann "json" oder "xml" sein (String)                                                                                                                                         |
| `keyword`         | Nein                        | Keywords können verwendet werden, um sicherzustellen, dass Werbeflächen den richtigen Anzeigentyp erhalten. Keywords sollten eine Zeichenfolge aus durch Kommas getrennten Wörtern sein. |
| `size`            | Erforderlich für Banner\*\* | Größe des Publisher-Anzeigentyps (String)                                                                                                                                                |
| `el`              | Nein                        | Base64-codierte E-Mail. Nur für E-Mail-Klicks und Direct Link verfügbar (String)                                                                                                         |

***

**Hinweise:**

* `"email_click"` als Typ muss nur in GET-Anfragen angegeben werden.
* Bei Push-Anfragen ist der Standardwert, wenn size weggelassen wird, `192x192` aus Gründen der Rückwärtskompatibilität.
* Sub-IDs sollten eine Zahl zwischen 1 und [Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32.maxvalue?view=net-5.0): Verwenden Sie keine Nullen am Anfang von Sub-IDs.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/rtb/de/publisher/exoclick-rtb/bid-request.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
